PipelinesUpdate an opportunity

Update an opportunity

POST /pipelines/{pipeline_id}/opportunities/{opportunity_id}

curl -X POST "https://app.bualpro.com/api/pipelines/3.14/opportunities/3.14" \
  -H "Content-Type: application/json" \
  -H "X-ACCESS-TOKEN: YOUR_API_KEY" \
  -d '{
  "title": "This is a test opportunity",
  "description": "...",
  "stage_id": 12334,
  "value": 300,
  "status": "open",
  "priority": "low",
  "assigned_admins": [
    55446563
  ],
  "custom_fields": [
    {
      "id": 1234,
      "value": "Any data"
    },
    {
      "name": "Age",
      "value": 30
    }
  ]
}'
{
  "success": true
}
POST
/pipelines/{pipeline_id}/opportunities/{opportunity_id}
POST
Base URLstring

Target server for requests. Edit to use your own host.

API Key (header: X-ACCESS-TOKEN)
X-ACCESS-TOKENstring
Required

API key (sent in header)

Content-Typestring
Required

The media type of the request body

Options: application/json
stage_idnumber

if omitted, the the contact is added to first stage.

statusstring

won is positive and lost is negative

Options: open, won, lost
prioritystring
Options: low, medium, high
Request Preview
Response

Response will appear here after sending the request

Authentication

header
X-ACCESS-TOKENstring
Required

API Key for authentication. Provide your API key in the header.

Path Parameters

Body

application/json
stage_idnumber

if omitted, the the contact is added to first stage.

statusstring

won is positive and lost is negative

Allowed values:openwonlost
prioritystring
Allowed values:lowmediumhigh

Responses

successboolean

Updates an opportunity / ticket.